package tv.ouya.console.api;

import android.os.Bundle;
import android.os.RemoteException;
import android.util.Log;

public abstract class RequestRunnable<T>
  implements Runnable
{
  protected OuyaResponseListener<T> listener;
  private String target;
  
  public RequestRunnable(OuyaResponseListener<T> paramOuyaResponseListener, String paramString)
  {
    this.listener = paramOuyaResponseListener;
    this.target = paramString;
  }
  
  abstract void doRun()
    throws RemoteException;
  
  public void run()
  {
    try
    {
      doRun();
      return;
    }
    catch (RemoteException localRemoteException)
    {
      Log.e("OUYASDK", "Remote exception while " + this.target, localRemoteException);
      this.listener.onFailure(3003, "", new Bundle());
    }
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/api/RequestRunnable.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */